unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, OzekiSMSServer, StdCtrls, ComCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
  //  OzekiSMSServer1: TOzekiSMSServer;
    StatusBar1: TStatusBar;
    Memo1: TMemo;
    GroupBox1: TGroupBox;
    Label2: TLabel;
    eSMSPhone: TEdit;
    mSMSText: TMemo;
    Label3: TLabel;
    bSend: TButton;
    Panel1: TPanel;
    Label1: TLabel;
    bConnect: TButton;
    OzekiSMSServer1: TOzekiSMSServer;
    procedure bConnectClick(Sender: TObject);
    procedure OzekiSMSServer1ServerConnecting;
    procedure OzekiSMSServer1ServerConnected;
    procedure OzekiSMSServer1ServerCouldNotConnect;
    procedure OzekiSMSServer1ServerDisconnected;
    procedure OzekiSMSServer1Error(statuscode: Integer;
      statusmessage: String);
    procedure bSendClick(Sender: TObject);
    procedure OzekiSMSServer1SMSDelivered(smsid: String);
    procedure OzekiSMSServer1SMSTransmitted(smsid: String);
    procedure OzekiSMSServer1SMSUndeliverable(smsid: String);
    procedure OzekiSMSServer1SMSRejected(smsid: String);
    procedure OzekiSMSServer1SMSAccepted(smsid: String);
    procedure FormCreate(Sender: TObject);
    procedure OzekiSMSServer1SMSReceived(originator, recepient,
      messagedata, messagetype, operator: WideString);
  private
    { Private declarations }
  public             
    { Public declarations }
    procedure addtolog(msg:widestring);
  end;

var
  Form1: TForm1;


implementation

{$R *.dfm}

procedure TForm1.bConnectClick(Sender: TObject);
begin
    if bConnect.Caption = 'Connect' then begin
       OzekiSMSServer1.Active := true;
       bConnect.Caption := 'Disconnect';
    end else begin
       OzekiSMSServer1.Active := false;
       bConnect.Caption := 'Connect';
    end;
end;

procedure TForm1.addtolog(msg:widestring);
Begin
    memo1.Lines.Add(msg);
End;

procedure TForm1.OzekiSMSServer1ServerConnecting;
begin
    addtolog('Connecting to '+OzekiSMSServer1.ServerIP+':'+
             inttostr(OzekiSMSServer1.ServerPort));
    Statusbar1.Panels[1].Text := 'connecting...';
end;

procedure TForm1.OzekiSMSServer1ServerConnected;
begin
    addtolog('Connected to '+OzekiSMSServer1.ServerIP+':'+
             inttostr(OzekiSMSServer1.ServerPort));
    Statusbar1.Panels[1].Text := 'connected';
end;

procedure TForm1.OzekiSMSServer1ServerCouldNotConnect;
begin
    addtolog('Could not connect to '+OzekiSMSServer1.ServerIP+':'+
             inttostr(OzekiSMSServer1.ServerPort));
    bConnect.Caption := 'Connect';
    Statusbar1.Panels[1].Text := 'not connected';
end;

procedure TForm1.OzekiSMSServer1ServerDisconnected;
begin
    addtolog('Disconnected from '+OzekiSMSServer1.ServerIP+':'+
                                  inttostr(OzekiSMSServer1.ServerPort));
    Statusbar1.Panels[1].Text := 'not connected';
    bConnect.Caption := 'Connect';
end;

procedure TForm1.OzekiSMSServer1Error(statuscode: Integer;
  statusmessage: String);
begin
    addtolog('Error '+inttostr(statuscode) +' ('+statusmessage+')');
end;

procedure TForm1.bSendClick(Sender: TObject);
var id : string;
begin
   id := OzekiSMSServer1.sendSMSEx('+36204222244',eSMSPhone.Text,'SMS:TEXT',mSMSText.Text,'myOperator');
//   id := OzekiSMSServer1.sendSMS(eSMSPhone.Text,mSMSText.Text);
   addtolog('SMS was created with SMS ID: '+id);
end;

procedure TForm1.OzekiSMSServer1SMSDelivered(smsid: String);
begin
   addtolog('SMS arrived to the recepient phone. SMS ID: '+smsid);
end;

procedure TForm1.OzekiSMSServer1SMSTransmitted(smsid: String);
begin
   addtolog('SMS was accepted by the GSM service provider for delivery. SMS ID: '+smsid);
end;

procedure TForm1.OzekiSMSServer1SMSUndeliverable(smsid: String);
begin
   addtolog('SMS could not be delivered by the message engine. SMS ID: '+smsid);
end;

procedure TForm1.OzekiSMSServer1SMSRejected(smsid: String);
begin
   addtolog('SMS was rejected. SMS ID: '+smsid);
end;

procedure TForm1.OzekiSMSServer1SMSAccepted(smsid: String);
begin
   addtolog('SMS was accepted by the message engine for delivery. SMS ID: '+smsid);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
Memo1.Clear;
end;

procedure TForm1.OzekiSMSServer1SMSReceived(originator, recepient,
  messagedata, messagetype, operator: WideString);
begin
 addtolog('SMS received: '+originator+', '+recepient+', '+
             messagedata+', '+messagetype+', '+operator);
end;

end.
